//
// Copyright (C) 2002 Henning Spruth

// Written by Henning Spruth <henning.spruth@epost.de>
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

//
// This is all that currently defines a link target, but in the future
// a tag inside that page might follow.
//
typedef struct {
    char *target;
} Link;


struct LinkArray {
private:
    int alloc;
    int count;
    static const int increment=10;
    Link *stack;

public:

    LinkArray();
    ~LinkArray();
    void clear();
    short addLink(char *target);
    Link *get(short index) { return &stack[index]; }
};
