//
// Copyright (C) 2002 Henning Spruth

// Written by Henning Spruth <henning.spruth@epost.de>
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.


class Table {
private:
    short colAlloc;
    short rowAlloc;
    short *mincols;	// minimal width to render column
    short *cols;	// width of a column
    short *rows;	// heights of rows

public:
    short colCount;
    short rowCount;
    short minW;
    short w;
    short h;
    short curCol;
    short curRow;

    short outerFrame;
    short borderWidth;
    short innerFrame;

    int elemIndex;	// index of Elem where this table begins;
			// used to store the w and h values in it

    Table();
    ~Table();
    void setMinColWidth(int i, short width);
    short getColWidth(int i);
    short getMinColWidth(int i);
    void setRowHeight(int i, short height);
    short getRowHeight(int i);
    void expand(short total);

};
